package com.kaixed.kchat.database.entity;

import io.objectbox.annotation.Entity;
import io.objectbox.annotation.Id;

/**
 * @Author: kaixed
 * @Date: 2024/5/23 13:38
 * @Description: TODO
 */
@Entity
public class Messages {
    @Id
    public long msgLocalId;
    private Long msgSvrId;
    private String content;
    private Long timestamp;
    private String status;
    private String senderId;
    private String takerId;
    private String type;
    private boolean show;

    public long getMsgLocalId() {
        return msgLocalId;
    }

    public void setMsgLocalId(long msgLocalId) {
        this.msgLocalId = msgLocalId;
    }

    public Long getMsgSvrId() {
        return msgSvrId;
    }

    public void setMsgSvrId(Long msgSvrId) {
        this.msgSvrId = msgSvrId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    public String getTakerId() {
        return takerId;
    }

    public void setTakerId(String takerId) {
        this.takerId = takerId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isShow() {
        return show;
    }

    public void setShow(boolean show) {
        this.show = show;
    }

    @Override
    public String toString() {
        return "Messages{" +
                "msgLocalId=" + msgLocalId +
                ", msgSvrId=" + msgSvrId +
                ", content='" + content + '\'' +
                ", timestamp=" + timestamp +
                ", status='" + status + '\'' +
                ", senderId='" + senderId + '\'' +
                ", takerId='" + takerId + '\'' +
                ", type='" + type + '\'' +
                ", show=" + show +
                '}';
    }
}
